Bug 1177003 - yum reinstall kernel causes duplicate entry in grub menu
Summary: yum reinstall kernel causes duplicate entry in grub menu
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: grub2
Version: 7.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: rc
: ---
Assignee: Peter Jones
QA Contact: Release Test Team
URL:
Whiteboard:
: 1224434 1231714 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-23 18:08 UTC by Tom Sorensen
Modified: 2015-11-19 12:23 UTC (History)
4 users (show)

Fixed In Version: grub2-2.02-0.17.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-19 12:23:49 UTC


Attachments (Terms of Use)
Screen shot of grub menu (6.00 KB, image/png)
2014-12-23 18:09 UTC, Tom Sorensen
no flags Details
Config file for test system (5.50 KB, text/plain)
2014-12-23 18:11 UTC, Tom Sorensen
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2401 normal SHIPPED_LIVE Low: grub2 security, bug fix, and enhancement update 2015-11-19 11:00:33 UTC

Description Tom Sorensen 2014-12-23 18:08:20 UTC
Description of problem: Reinstalling a kernel that is already installed (e.g. - yum reinstall kernel-3.10.0-123.el7.x86_64) has created a second copy of the kernel to appear in the grub menu. It also caused https://bugzilla.redhat.com/show_bug.cgi?id=1124074 to affect my system, but that's a separate problem.


Version-Release number of selected component (if applicable): grub2-2.02-0.2.10.el7.x86_64
yum-3.4.3-118.el7.noarch


How reproducible: Every time


Steps to Reproduce:
1. Have at least two kernels installed
2. yum reinstall kernel-3.10.0-123.el7.x86_64
3. Look at /etc/grub2.cfg, or reboot and look at menu, etc.

Actual results: Reinstalled kernel appears in grub menu twice.


Expected results: Should only appear once.


Additional info: Attached screen shot of grub menu, as well as grub2.cfg for the VM I tested on

Comment 1 Tom Sorensen 2014-12-23 18:09:21 UTC
Created attachment 972474 [details]
Screen shot of grub menu

Comment 2 Tom Sorensen 2014-12-23 18:11:25 UTC
Created attachment 972476 [details]
Config file for test system

Comment 5 Peter Jones 2015-07-02 20:18:21 UTC
*** Bug 1231714 has been marked as a duplicate of this bug. ***

Comment 7 David Cantrell 2015-07-09 20:01:36 UTC
*** Bug 1224434 has been marked as a duplicate of this bug. ***

Comment 8 Michal Kovarik 2015-08-27 13:55:12 UTC
Verified on grub2-2.02-0.25.el7, only one menuentry per kernel package after reinstall.

Comment 9 errata-xmlrpc 2015-11-19 12:23:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2401.html


Note You need to log in before you can comment on or make changes to this bug.